<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("cUsuario.php");
$oUsuario = new cUsuario();
require_once ("../formatos/formatos.php");
$emp_id = '';
if($_POST['action']=="editar")
{
	$dts=$oUsuario->mostrarUno($_POST['usu_id']);
	$dt = mysqli_fetch_array($dts);
	$use=$dt['tb_usuario_use'];
	$use=$dt['tb_usuario_use'];
	$nom=$dt['tb_usuario_nom'];
	$ape=$dt['tb_usuario_ape'];
	$dni=$dt['tb_usuario_dni'];
	$ema=$dt['tb_usuario_ema'];
	$tel=$dt['tb_usuario_tel'];
	$dir=$dt['tb_usuario_dir'];
	$blo=$dt['tb_usuario_blo'];
	$usugru_id	=$dt['tb_usuariogrupo_id'];
	$usuper_id	=$dt['tb_usuarioperfil_id'];
	$punven_id		=$dt['tb_puntoventa_id'];
	$usu_ser		=$dt['tb_usuario_ser'];
	mysqli_free_result($dts);
}else{
	
	$usu_ser = '2';
	
}
?>
				<form role="form" id="for_usu" method="POST"> 
					<input name="action_usuario" id="action_usuario" type="hidden" value="<?php echo $_POST['action']?>">
					<input name="hdd_usu_id" id="hdd_usu_id" type="hidden" value="<?php echo $_POST['usu_id']?>">    
					<input name="hdd_emp_id" id="hdd_emp_id" type="hidden" value="<?php echo $_SESSION['empresa_id']?>">
					<div class="box-header">
						<h3 class="box-title">Información de Talonario</h3>
					</div>
					<div class="box-body">
						<div class="form-group">
							<div class="row">        
								<div class="col-lg-2 col-6">
									<label for="cmb_usugru_id">Grupo:</label>
									<td><select name="cmb_usugru_id" id="cmb_usugru_id"  class="form-control"></select> 
									</div>
									<div class="col-lg-2 col-6 d-none">
										<label for="cmb_usuper_id">Perfil:</label>
										<select name="cmb_usuper_id" id="cmb_usuper_id" class="form-control"></select> 
									</div>
									<div class="col-lg-2 col-6">
										<label for="txt_usu_use">Usuario:</label>
										<?php if($_POST['action']=='editar'):?>
											<input type="checkbox" name="chk_usu_use" id="chk_usu_use" value="1">
											<label for="chk_usu_use">Modificar Usuario</label><br>
										<?php endif;?>
										<input type="text" autocomplete="new-user" id="txt_usu_use" name="txt_usu_use" value="<?php echo $use; ?>" class="form-control"> 
									</div> 
									<div class="col-lg-2 col-6">
										<label for="txt_usu_pas">Contraseña:</label>
										<?php if($_POST['action']=='editar'):?>
											<input type="checkbox" name="chk_usu_pas" id="chk_usu_pas" value="1">
											<label for="chk_usu_pas">Modificar Contraseña</label><br>
										<?php endif;?>
										<input type="password" autocomplete="new-password" id="txt_usu_pas" name="txt_usu_pas"  value="<?php echo $pas; ?>" class="form-control">
									</div> 
									<div class="col-lg-3 col-6">
										<label for="txt_usu_nom">Nombre:</label>
										<input type="text" id="txt_usu_nom" autocomplete="off" name="txt_usu_nom"  value="<?php echo $nom; ?>" class="form-control"> 
									</div> 
									
									<div class="col-lg-3 col-6">
										<label for="txt_usu_ape">Apellido:</label>
										<input type="text" id="txt_usu_ape" autocomplete="off" name="txt_usu_ape" value="<?php echo $ape; ?>" class="form-control">
									</div> 
								</div>
								
								<div class="row">  
										<div class="col-lg-2 col-6">
											<label for="txt_usu_ema">E-Mail:</label>
											<input type="text" id="txt_usu_ema" autocomplete="off" name="txt_usu_ema" value="<?php echo $ema; ?>" class="form-control">		
										</div> 
										<div class="col-lg-2 col-6">
											<label for="txt_usu_tel">Télefono:</label>
											<input type="text" id="txt_usu_tel" autocomplete="off" name="txt_usu_tel" value="<?php echo $tel; ?>" class="form-control">
										</div> 
										<div class="col-lg-4 col-6 d-none">
											<label for="txt_usu_dir">Dirección:</label>
											<input type="text" id="txt_usu_dir" autocomplete="off" name="txt_usu_dir" value="<?php echo $dir; ?>" class="form-control">
										</div> 								
										<div class="col-lg-2 col-6">
											<label for="txt_usu_dni">DNI:</label> 
											<input type="text" id="txt_usu_dni" autocomplete="off" name="txt_usu_dni"  maxlength="8" value="<?php echo $dni; ?>" class="form-control">
										</div> 
										<div class="col-lg-2 col-6">
											<label for="cmb_usu_blo">Bloquear?:</label>
											<select name="cmb_usu_blo" id="cmb_usu_blo" class="form-control">
												<option value="0" <?php if ($blo==0) echo "selected";?>>NO</option>
												<option value="1" <?php if ($blo==1) echo "selected";?>>SI</option>
											</select> 
										</div>
										<div class="col-lg-2 col-6">
										<label for="cmb_punven_id">Punto V.:</label>
										<select name="cmb_punven_id" type="text" id="cmb_punven_id" class="form-control">
										</select>
										</div>		
										<div class="col-lg-2 col-6">
											<label for="txt_usu_ser">Serie:</label> 
											<input type="text" id="txt_usu_ser" autocomplete="off" name="txt_usu_ser"  maxlength="8" value="<?php echo $usu_ser; ?>" class="form-control">
										</div>
									</div>
								</div>
							</div>
						</form>
						<div class="box-footer float-right ">
							<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
							<button class="btn btn-primary" id="save_form">Guardar</button>
						</div>
		<script type="text/javascript">
		cmb_punven_id(<?php echo $punven_id; ?>);
		
		function cmb_punven_id(punven_id){
	
	  	$.ajax({
			type: "POST",
			url: "../puntoventa/cmb_punvent_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				punven_id:punven_id
			}),
			beforeSend: function(){
				$('#cmb_punven_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){		
				$('#cmb_punven_id').html(html);
				
			}
		});		
	} 
			function cmb_usugru_id(idf)
			{	
				$.ajax({
					type: "POST",
					url: "../usuariogrupo/cmb_usugru_id.php",
					async:true,
					dataType: "html",                      
					data: ({
						usugru_id: idf,
						mos: '1'				
					}),
					beforeSend: function() {
						$('#cmb_usugru_id').html('<option value="">Cargando...</option>');
					},
					success: function(html){			
						$('#cmb_usugru_id').html(html);			
					}
				});
			}
			function cmb_usuper_id(idf)
			{	
				$.ajax({
					type: "POST",
					url: "../usuarioperfil/cmb_usuper_id.php",
					async:true,
					dataType: "html",                      
					data: ({
						usuper_id: idf,
						mos: '1'			
					}),
					beforeSend: function() {
						$('#cmb_usuper_id').html('<option value="">Cargando...</option>');
					},
					success: function(html){			
						$('#cmb_usuper_id').html(html);			
					}		
				});
			}
			$("#save_form").click(function() {
				$("#for_usu").submit();
			});
			cmb_usugru_id('<?php echo $usugru_id?>');
			cmb_usuper_id('<?php echo $usuper_id?>');
			$('#txt_usu_ape, #txt_usu_nom').change(function(){
				$(this).val($(this).val().toUpperCase());
			});
			<?php if($_POST['action']=='editar'):?>
			$('#txt_usu_use, #txt_usu_pas').prop("type", 'hidden');
			$('#txt_usu_use, #txt_usu_pas').prop("disabled", true);
			$('#chk_usu_use').click(function() {
				if ($(this).is(':checked')) {
					$('#txt_usu_use').prop("type", 'text');
					$('#txt_usu_use').prop("disabled", false);
				}else{
					$('#txt_usu_use').prop("type", 'hidden');
					$('#txt_usu_use').prop("disabled", true);
				}
			});
			$('#chk_usu_pas').click(function() {
				if ($(this).is(':checked')) {
					$('#txt_usu_pas').prop("type", 'text');
					$('#txt_usu_pas').prop("disabled", false);
				}else{
					$('#txt_usu_pas').prop("type", 'hidden');
					$('#txt_usu_pas').prop("disabled", true);
				}
			});
		<?php endif;?>
		$(document).ready(function() {
			$('#for_usu').bootstrapValidator({
	      message: 'Valor no Valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {  
	      	cmb_usugru_id: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	cmb_usuper_id: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_usu_ape: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_usu_nom: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_usu_dni: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_usu_ema: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_usu_dir: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_usu_tel: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_usu_use: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			},
	      			remote: {
	      				message: 'Este nombre de usuario, no está disponible.',
	      				url: '../usuario/users.php',
	      				type: 'POST'
	      			}
	      		}
	      	},
	      	txt_usu_pas: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	} ,
			cmb_empresa_id: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	} 
	      }
	  }).on('success.form.bv', function(e) {
	
	  	$.ajax({
	  		type: "POST",
	  		url: "../usuario/usuario_reg.php",
	  		async:true,
	  		dataType: "json",
	  		data: $("#for_usu").serialize(),
	  		beforeSend: function() { 				
	  			
	  		},
	  		success: function(data){
				$('.modal').modal('hide');
				$('.in').removeClass('modal-backdrop');			
				toastr["success"](data.usu_msj);	
	  		},
	  		complete: function(){
	  			usuario_tabla();
	  		}
	  	});
	  });
	});
	/*$("#txt_cli_doc").autoNumeric({
		aSep:'',
		vMin:'',
		vMax:'99999999999'
	});*/ 
$("#cmb_usugru_id").focus();
	//juego de focos
	$("#cmb_usugru_id").keydown(function(e){
		if (e.keyCode == 13){ $("#cmb_usuper_id").focus(); return false;}
	});
	$("#cmb_usuper_id").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_use").focus(); return false;}
	});
	$("#txt_usu_use").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_pas").focus(); return false;}
	});
	$("#txt_usu_pas").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_nom").focus(); return false;}
	});
   $("#txt_usu_nom").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_ape").focus(); return false;}
	});
  $("#txt_usu_ape").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_ema").focus(); return false;}
	});
$("#txt_usu_ema").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_tel").focus(); return false;}
	});
$("#txt_usu_tel").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_dir").focus(); return false;}
	});
$("#txt_usu_dir").keydown(function(e){
		if (e.keyCode == 13){ $("#txt_usu_dni").focus(); return false;}
	});
$("#txt_usu_dni").keydown(function(e){
		if (e.keyCode == 13){ $("#cmb_usu_blo").focus(); return false;}
	});
	 //faltan focos
	 $("#cmb_usu_blo").keydown(function(e){
	 	if (e.keyCode == 13){ $("#save_form").focus(); return false;}
	 });
	 
	</script>